<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\SonstigeListen\ShowSettingsSonstigeListen;


class ShowSettingsSonstigeListenUseCase extends \Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowSettingsDruckListen\ShowSettingsDruckListenUseCase
{
  
  protected function _getListSettingsResponseObj()
  {
    return new ShowSettingsSonstigeListenResponse();
  }

  public static function getToolSectionId()
  {
    return 407;
  }

  
  protected function _getPdfDrucklistenObj()
  {
    $userId = $this->getUser()->getIdentifier();

    return new \Kufer\KuferTools\Basis\PdfListen\SonstigePdfListen(self::getToolId(), self::getToolSectionId(), $userId);
  }

  
  protected function getResponse($pDataModulList, $pGenerateList, $pKursNrStr, $pListObj)
  {
    $this->response = parent::getResponse($pDataModulList, $pGenerateList, $pKursNrStr, $pListObj);

    return $this->response;
  }

  
} 

class ShowSettingsSonstigeListenResponse extends \Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowSettingsDruckListen\ShowSettingsDruckListenResponse
{
}